> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--artifact/queries/get-unscanned-artifacts.md).

# getUnscannedArtifacts

Retrieves unscanned artifacts with filtering and pagination support.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetUnscannedArtifacts($getUnscannedArtifactsInput: GetUnscannedArtifactsInput) {
  getUnscannedArtifacts(getUnscannedArtifactsInput: $getUnscannedArtifactsInput) {
    unscannedArtifacts {
      id
      artifactId
      registryType
      registryName
      registryLink
      imageName
      imageTags
      imageCreationDate
      imageDigest
      reason
      error
      scanId
      cloudData {
        cloudIdentifier
        link
        lastExecutionTime
        lastModifiedTime
        account
        accountName
        zone
        cluster
        namespace
        runtimeImageTag
        instanceId
        customAttributes {
          key
          value
        }
        k8sLabels
        cloudDescription {
          type
          subType
          cloudEntityAttributes {
            ... on ECS {
              os
              cpu
              memory
              containers
              registeredAt
              registeredBy
              account
              zone
            }
          }
        }
      }
    }
    offset
    total
    totalFilteredUnscannedArtifacts
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "getUnscannedArtifactsInput": {
    "limit": 100,
    "offset": 0,
    "sort": {
      "field": ["createdAt"],
      "order": ["ASC"]
    },
    "dateRange": {
      "from": 1749000000000,
      "to": 1749900000000
    },
    "filters": {
      "reason": ["example"],
      "registryType": ["example"],
      "registryName": ["example"],
      "imageName": ["example"],
      "imageDigest": ["example"],
      "imageTags": ["example"],
      "cloudDeployments": ["example"],
      "cluster": ["example"],
      "namespace": ["example"],
      "reachability": ["example"],
      "imageSource": ["example"]
    },
    "owners": ["example"],
    "search": "example",
    "openItems": ["digest"],
    "topFilters": ["DeployedToCloud"]
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetUnscannedArtifacts($getUnscannedArtifactsInput: GetUnscannedArtifactsInput) { getUnscannedArtifacts(getUnscannedArtifactsInput: $getUnscannedArtifactsInput) { unscannedArtifacts { id artifactId registryType registryName registryLink imageName imageTags imageCreationDate imageDigest reason error scanId cloudData { cloudIdentifier link lastExecutionTime lastModifiedTime account accountName zone cluster namespace runtimeImageTag instanceId customAttributes { key value } k8sLabels cloudDescription { type subType cloudEntityAttributes { ... on ECS { os cpu memory containers registeredAt registeredBy account zone } } } } } offset total totalFilteredUnscannedArtifacts } }",
 "variables": {
    "getUnscannedArtifactsInput": {
      "limit": 100,
      "offset": 0,
      "sort": {
        "field": ["createdAt"],
        "order": ["ASC"]
      },
      "dateRange": {
        "from": 1749000000000,
        "to": 1749900000000
      },
      "filters": {
        "reason": ["example"],
        "registryType": ["example"],
        "registryName": ["example"],
        "imageName": ["example"],
        "imageDigest": ["example"],
        "imageTags": ["example"],
        "cloudDeployments": ["example"],
        "cluster": ["example"],
        "namespace": ["example"],
        "reachability": ["example"],
        "imageSource": ["example"]
      },
      "owners": ["example"],
      "search": "example",
      "openItems": ["digest"],
      "topFilters": ["DeployedToCloud"]
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetUnscannedArtifacts($getUnscannedArtifactsInput: GetUnscannedArtifactsInput) { getUnscannedArtifacts(getUnscannedArtifactsInput: $getUnscannedArtifactsInput) { unscannedArtifacts { id artifactId registryType registryName registryLink imageName imageTags imageCreationDate imageDigest reason error scanId cloudData { cloudIdentifier link lastExecutionTime lastModifiedTime account accountName zone cluster namespace runtimeImageTag instanceId customAttributes { key value } k8sLabels cloudDescription { type subType cloudEntityAttributes { ... on ECS { os cpu memory containers registeredAt registeredBy account zone } } } } } offset total totalFilteredUnscannedArtifacts } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      getUnscannedArtifactsInput: {
        limit: 100,
        offset: 0,
        sort: {
          field: ["createdAt"],
          order: ["ASC"]
        },
        dateRange: {
          from: 1749000000000,
          to: 1749900000000
        },
        filters: {
          reason: ["example"],
          registryType: ["example"],
          registryName: ["example"],
          imageName: ["example"],
          imageDigest: ["example"],
          imageTags: ["example"],
          cloudDeployments: ["example"],
          cluster: ["example"],
          namespace: ["example"],
          reachability: ["example"],
          imageSource: ["example"]
        },
        owners: ["example"],
        search: "example",
        openItems: ["digest"],
        topFilters: ["DeployedToCloud"]
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetUnscannedArtifacts($getUnscannedArtifactsInput: GetUnscannedArtifactsInput) { getUnscannedArtifacts(getUnscannedArtifactsInput: $getUnscannedArtifactsInput) { unscannedArtifacts { id artifactId registryType registryName registryLink imageName imageTags imageCreationDate imageDigest reason error scanId cloudData { cloudIdentifier link lastExecutionTime lastModifiedTime account accountName zone cluster namespace runtimeImageTag instanceId customAttributes { key value } k8sLabels cloudDescription { type subType cloudEntityAttributes { ... on ECS { os cpu memory containers registeredAt registeredBy account zone } } } } } offset total totalFilteredUnscannedArtifacts } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "getUnscannedArtifactsInput": {
        "limit": 100,
        "offset": 0,
        "sort": {
          "field": ["createdAt"],
          "order": ["ASC"]
        },
        "dateRange": {
          "from": 1749000000000,
          "to": 1749900000000
        },
        "filters": {
          "reason": ["example"],
          "registryType": ["example"],
          "registryName": ["example"],
          "imageName": ["example"],
          "imageDigest": ["example"],
          "imageTags": ["example"],
          "cloudDeployments": ["example"],
          "cluster": ["example"],
          "namespace": ["example"],
          "reachability": ["example"],
          "imageSource": ["example"]
        },
        "owners": ["example"],
        "search": "example",
        "openItems": ["digest"],
        "topFilters": ["DeployedToCloud"]
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getUnscannedArtifacts` query.

| Argument                                                                                                                                                | Description                                             | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| ------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| getUnscannedArtifactsInput [`GetUnscannedArtifactsInput`](/api-documentation/api-reference/api--artifact/types/inputs/get-unscanned-artifacts-input.md) | Input parameters for filtering, sorting, and pagination | <p>limit <code>Int</code><br>offset <code>Int</code><br>sort <a href="/pages/fChJxUbP636aTW5GdtbI"><code>UnscannedArtifactSort</code></a><br>dateRange <a href="/pages/ttgam4SI9scLHqwZwgrD"><code>DateRange</code></a><br>filters <a href="/pages/kQa8rc9vPiz0y3lr5rnZ"><code>UnscannedArtifactFilters</code></a><br>owners <code>\[String]</code><br>search <code>String</code><br>openItems <a href="/pages/43jgm6P5kcKgBM8FmTho"><code>\[FilterTypes]</code></a><br>topFilters <a href="/pages/yoAaiQl2Vp35yATkByyc"><code>\[UnscannedArtifactTopFilters]</code></a></p> |

### Fields

Return type: [`UnscannedArtifactsResponse`](/api-documentation/api-reference/api--artifact/types/objects/unscanned-artifacts-response.md)

You can use the following field(s) to specify what information your `getUnscannedArtifacts` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                          | Description                              | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| unscannedArtifacts [`[UnscannedArtifact]`](/api-documentation/api-reference/api--artifact/types/objects/unscanned-artifact.md) | Unscanned Artifacts                      | <p>id <code>String</code><br>artifactId <code>String</code><br>registryType <code>String</code><br>registryName <code>String</code><br>registryLink <code>String</code><br>imageName <code>String</code><br>imageTags <code>\[String]</code><br>imageCreationDate <code>String</code><br>imageDigest <code>String</code><br>reason <code>String</code><br>error <code>String</code><br>scanId <code>String</code><br>cloudData <a href="/pages/YNzJrT3pRDcad6I39AKY"><code>\[CloudArtifactData]</code></a></p> |
| offset `Int`                                                                                                                   | Offset Value for Virtualization          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| total `Int`                                                                                                                    | Total Unscanned Artifacts Count          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| totalFilteredUnscannedArtifacts `Int`                                                                                          | Total Filtered Unscanned Artifacts Count |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/queries/get-unscanned-artifacts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
